public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: app-forensics/brakeman/
Date: Tue,  5 May 2015 09:36:40 +0000 (UTC)	[thread overview]
Message-ID: <1430818478.ae85ea60ecd8ab937a5296ef81b4d4e7edb41e00.graaff@gentoo> (raw)

commit:     ae85ea60ecd8ab937a5296ef81b4d4e7edb41e00
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Tue May  5 09:34:38 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May  5 09:34:38 2015 +0000
URL:        https://gitweb.gentoo.org/dev/graaff.git/commit/?id=ae85ea60

Version bump.

Package-Manager: portage-2.2.18

 app-forensics/brakeman/ChangeLog             |  5 +++
 app-forensics/brakeman/Manifest              |  1 +
 app-forensics/brakeman/brakeman-3.0.3.ebuild | 47 ++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/app-forensics/brakeman/ChangeLog b/app-forensics/brakeman/ChangeLog
index b4ff081..246b9d6 100644
--- a/app-forensics/brakeman/ChangeLog
+++ b/app-forensics/brakeman/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*brakeman-3.0.3 (05 May 2015)
+
+  05 May 2015; Hans de Graaff <graaff@gentoo.org> +brakeman-3.0.3.ebuild:
+  Version bump.
+
 *brakeman-2.6.3-r1 (19 Apr 2015)
 
   19 Apr 2015; Hans de Graaff <graaff@gentoo.org> -brakeman-2.6.3.ebuild,

diff --git a/app-forensics/brakeman/Manifest b/app-forensics/brakeman/Manifest
index 784e2ef..fb592b1 100644
--- a/app-forensics/brakeman/Manifest
+++ b/app-forensics/brakeman/Manifest
@@ -1 +1,2 @@
 DIST brakeman-2.6.3.tar.gz 508761 SHA256 46f3202614b1a6e12eb0d16c4121adff5ae68e644ecd048982cb079cff28ffd9 SHA512 da54bd366df193bd1cc926e28a39a4901f8055be6a772fadf620a9efa639523e5a5314da3e19a4f2de0dce6c8cc7149308f09d4bfade794329ad455acd9d907f WHIRLPOOL 757930cbf9758095e072802db623afb726033b7d8ea7c5e7375dd15dabe2ae2146009ba9567182c051df28633b7da8727caf65067e69717f71bf7932fff39d8a
+DIST brakeman-3.0.3.tar.gz 529784 SHA256 ba3da9af47d6277c9c5f2b887e7899063eb74b57f25cb883e7f7f9b8cb70d828 SHA512 ec93252cdc46c3842f9e75a9c390303a1feaeaf95daf6f618c9adbad9ccea7d3115e0ced570bb68824f38b039fc717cb7b136283458bcba5463960ebaf463664 WHIRLPOOL 1d9f5bdd8ba3f02ff1ec196db6bd7e1d6c0c1e15ad8db0f3a5814331f0ec8223b992fe27beb78c8522c73351663690ad7ce255a9a47361535bbc9bc0a029a724

diff --git a/app-forensics/brakeman/brakeman-3.0.3.ebuild b/app-forensics/brakeman/brakeman-3.0.3.ebuild
new file mode 100644
index 0000000..402277e
--- /dev/null
+++ b/app-forensics/brakeman/brakeman-3.0.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+USE_RUBY="ruby19 ruby20"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES FEATURES README.md WARNING_TYPES"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_GEMSPEC="brakeman.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="a static analysis tool which checks Ruby on Rails applications for security vulnerabilities"
+HOMEPAGE="http://brakemanscanner.org/"
+SRC_URI="https://github.com/presidentbeef/brakeman/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	>=dev-ruby/erubis-2.6
+	>=dev-ruby/haml-3.0:*  <dev-ruby/haml-5:*
+	>=dev-ruby/highline-1.6.20 =dev-ruby/highline-1*
+	>=dev-ruby/multi_json-1.2 =dev-ruby/multi_json-1*
+	>=dev-ruby/ruby2ruby-2.1.1 =dev-ruby/ruby2ruby-2.1*
+	>=dev-ruby/ruby_parser-3.6.2 =dev-ruby/ruby_parser-3*
+	>=dev-ruby/sass-3.0:* =dev-ruby/sass-3*:*
+	>=dev-ruby/slim-1.3.6 <dev-ruby/slim-3
+	>=dev-ruby/terminal-table-1.4 =dev-ruby/terminal-table-1*"
+
+all_ruby_prepare() {
+	# Remove fastercsv since it's a no-op on ruby19.
+	sed -i -e '/fastercsv/d' \
+		-e '/ruby_parser/ s/3.6.2/3.6/' \
+		-e '/highline/ s/1.6.20/1.6/' \
+		${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} test/test.rb || die
+}


             reply	other threads:[~2015-05-05  9:36 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-05-05  9:36 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-10-27  7:07 [gentoo-commits] dev/graaff:master commit in: app-forensics/brakeman/ Hans de Graaff
2016-06-14  5:19 Hans de Graaff
2016-03-13  6:45 Hans de Graaff
2016-02-12  6:55 Hans de Graaff
2016-02-12  6:55 Hans de Graaff
2016-01-12  6:41 Hans de Graaff
2015-10-29  6:14 Hans de Graaff
2015-10-02 10:59 Hans de Graaff
2015-10-02 10:59 Hans de Graaff
2015-09-29  8:39 Hans de Graaff
2015-07-01 21:34 Hans de Graaff
2015-06-21  6:03 Hans de Graaff
2015-06-05  5:38 Hans de Graaff
2015-04-24  7:37 Hans de Graaff
2015-04-24  7:37 Hans de Graaff
2015-04-17 13:02 Hans de Graaff
2014-09-23  8:12 Hans de Graaff
2014-09-23  8:12 Hans de Graaff
2014-01-09 12:36 Hans de Graaff
2013-11-29  9:54 Hans de Graaff
2013-10-25  9:08 Hans de Graaff
2013-09-05  5:50 Hans de Graaff
2013-06-01  6:55 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1430818478.ae85ea60ecd8ab937a5296ef81b4d4e7edb41e00.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox